<div style="background-color:rgb(30, 30, 30);">



    <div *ngIf="mobile">

        <mat-card class="mat-elevation-z15" style="background-color: #303030; width: 90vw; margin: auto;margin-bottom: 25px; margin-top: 10px;">
            <h2 style="color:rgba(255, 255, 255, 0.85) ; justify-content: center; margin-top: 15px;">Dashboard</h2>
            <p style="color: rgba(255, 255, 255, 0.95);margin-bottom: 10px;">Hier finden Sie alle Echtzeit-Statistiken
            </p>
            <p style="color: rgba(255, 255, 255, 0.95);margin-bottom: 20px;">zur Spielsimulation innerhalb des Cubes.
            </p>
        </mat-card>



        <mat-card class="mat-elevation-z15" style="background-color: #303030; width: 90vw; margin: auto;margin-bottom: 25px;height: auto;padding: 0; padding-top: 15px;padding-bottom: 15px;">
            <div class="chart-wrapper">
                <app-co2-chart></app-co2-chart>
            </div>
        </mat-card>

        <mat-card class="mat-elevation-z15" style="background-color: #303030; width: 90vw; margin: auto;margin-bottom: 25px;height: auto;padding: 0; padding-top: 15px;padding-bottom: 15px;">
            <div class="chart-wrapper">
                <app-air-chart></app-air-chart>
            </div>
        </mat-card>

        <mat-card class="mat-elevation-z15" style="background-color: #303030; width: 90vw; margin: auto;margin-bottom: 25px;height: auto;padding: 0; padding-top: 15px;padding-bottom: 15px;">
            <div class="chart-wrapper">
                <app-renewableenergy-chart></app-renewableenergy-chart>
            </div>
        </mat-card>

        <mat-card class="mat-elevation-z15" style="background-color: #303030; width: 90vw; margin: auto;margin-bottom: 25px;height: auto;padding: 0; padding-top: 15px;padding-bottom: 15px;">
            <div class="chart-wrapper" style="margin-bottom: 0px;">
                <app-satisfaction-chart></app-satisfaction-chart>
            </div>
        </mat-card>

    </div>

    <div *ngIf="desktop">

        <mat-card class="mat-elevation-z15" style="background-color: #303030;  margin: auto;margin-bottom: 25px; margin-top: 10px; margin-left: 20px; margin-right: 20px;">
            <h3 style="color:rgba(255, 255, 255, 0.85) ; justify-content: center; margin-top: 15px;">Dashboard</h3>
            <p style="color: rgba(255, 255, 255, 0.95);margin-bottom: 10px;">Hier finden Sie alle Echtzeit-Statistiken
            </p>
            <p style="color: rgba(255, 255, 255, 0.95);margin-bottom: 20px;">zur Spielsimulation innerhalb des Cubes.
            </p>
        </mat-card>

        <mat-grid-list cols="2" rowHeight="2:1" [gutterSize]="'15px'" style="margin-left: 20px; margin-right: 20px;">
            <mat-grid-tile class="mat-elevation-z15">
                <mat-card style="background-color: #303030;">
                    <div class="" style="width: 45vw; height: auto; margin: auto;">
                        <app-co2-chart></app-co2-chart>
                    </div>
                </mat-card>
            </mat-grid-tile>
            <mat-grid-tile class="mat-elevation-z15">
                <mat-card style="background-color: #303030;">
                    <div class="" style="width: 45vw; height: auto; margin: auto;">
                        <app-air-chart></app-air-chart>
                    </div>
                </mat-card>
            </mat-grid-tile>
            <mat-grid-tile class="mat-elevation-z15">
                <mat-card style="background-color: #303030;">
                    <div class="" style="width: 45vw; height: auto; margin: auto;">
                        <app-renewableenergy-chart></app-renewableenergy-chart>
                    </div>
                </mat-card>
            </mat-grid-tile>
            <mat-grid-tile class="mat-elevation-z15">
                <mat-card style="background-color: #303030;">
                    <div class="" style="width: 45vw; height: auto; margin: auto;">
                        <app-satisfaction-chart></app-satisfaction-chart>
                    </div>
                </mat-card>
            </mat-grid-tile>
        </mat-grid-list>
    </div>
</div>